diff --git a/src/main/java/swg/controller/MetricsController.java b/src/main/java/swg/controller/MetricsController.java
index bda6573..55e4e7a 100644
--- a/src/main/java/swg/controller/MetricsController.java
+++ b/src/main/java/swg/controller/MetricsController.java
@@ -1,16 +1,21 @@
 package swg.controller;
 
+import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
 import swg.entity.MetricsModel;
+import swg.entity.SwgConfiguration;
 
-@CrossOrigin
 @RestController
 @RequestMapping("/api/metrics")
 public class MetricsController {
     MetricsModel currentMetrics;
+    @Autowired
+    SwgConfiguration config;
 
     @PostMapping(consumes = "application/json")
     public boolean setMetrics(@RequestBody MetricsModel metrics) {
+        SwgConfiguration.CentralServer cs = config.getCentralServer();
+        if(!metrics.getSecretKey().equals(cs.getMetricsSecretKey())) return false;
         this.currentMetrics = metrics;
         return true;
     }
diff --git a/src/main/java/swg/entity/SwgConfiguration.java b/src/main/java/swg/entity/SwgConfiguration.java
index ee7f048..caa8556 100644
--- a/src/main/java/swg/entity/SwgConfiguration.java
+++ b/src/main/java/swg/entity/SwgConfiguration.java
@@ -126,6 +126,7 @@ public class SwgConfiguration {
         private boolean developmentMode;
         private String clusterName;
         private String metricsDataURL;
+        private String metricsSecretKey;
         private int webUpdateIntervalSeconds;
         private boolean newbieTutorialEnabled;
         private List<StartPlanet> startPlanet;
@@ -137,6 +138,7 @@ public class SwgConfiguration {
             output += "\ndevelopmentMode=" + developmentMode;
             output += "\nclusterName=" + clusterName;
             output += "\nmetricsDataURL=" + metricsDataURL;
+            output += "\nmetricsSecretKey=" + metricsSecretKey;
             output += "\nnewbieTutorialEnabled=" + newbieTutorialEnabled;
             output += "\nwebUpdateIntervalSeconds=" + webUpdateIntervalSeconds;
             for(StartPlanet planet : startPlanet) {
@@ -161,6 +163,14 @@ public class SwgConfiguration {
             this.metricsDataURL = metricsDataURL;
         }
 
+        public String getMetricsSecretKey() {
+            return metricsSecretKey;
+        }
+
+        public void setMetricsSecretKey(String metricsSecretKey) {
+            this.metricsSecretKey = metricsSecretKey;
+        }
+
         public int getWebUpdateIntervalSeconds() {
             return webUpdateIntervalSeconds;
         }
diff --git a/src/main/java/swg/security/WebSecurityConfig.java b/src/main/java/swg/security/WebSecurityConfig.java
index 1a446e7..4e6a36a 100644
--- a/src/main/java/swg/security/WebSecurityConfig.java
+++ b/src/main/java/swg/security/WebSecurityConfig.java
@@ -58,6 +58,7 @@ public class WebSecurityConfig extends WebSecurityConfigurerAdapter {
                 .sessionManagement().sessionCreationPolicy(SessionCreationPolicy.STATELESS).and()
                 .authorizeRequests()
                 .antMatchers("/api/auth/**").permitAll()
+                .antMatchers("/api/metrics").permitAll()
 //                .antMatchers("/api/test/**").permitAll()
                 .anyRequest().authenticated();
 
